<?php
/**
* SEO4ALL. Extension for the phpBB Forum Software package.
*
* language/en/acp/info_acp_seo4all.php (English)
*
* @copyright (c) 2017 https://thetopfew.com
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
**/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(

	// ACP Modules
	'SEO4ALL_TITLE'					=> 'SEO-4-ALL',
	'SEO4ALL_VERSION'				=> 'Installed Version: %s. <a style="font-weight: bold;" href="https://forums.thetopfew.com/viewforum.php?f=53" onclick="window.open(this.href);return false;">Visit Forum</a>.',
	'ACP_SITEMAP_SETTINGS'			=> 'Sitemap Settings',
	'ACP_TOPICTAGS_SETTINGS'		=> 'Tag Settings',
	'ACP_TOPICTAGS_WHITELIST'		=> 'Tag Whitelist',
	'ACP_TOPICTAGS_BLACKLIST'		=> 'Tag Blacklist',
	'ACP_TOPICTAGS_MANAGE_TAGS'		=> 'Tags Manager',
	
	// ACP Sitemap Settings
	'SEO4ALL_MAP_EXPLAIN'				=> 'Pay attention that use of optional Priority and Changefreq settings could yield some positive results for you, but recommended using them together and really analysing which pages should be considered more important over others before making any decisions. If you do not know or are unsure, it is better to disable these options. <a href="http://www.sitemaps.org/protocol.html#xmlTagDefinitions" onclick="window.open(this.href);return false;">Click here</a> to read more details about priority and changefreq.<br />Enter 0 if you wish to disable priority.',
	'SEO4ALL_MAP_SETTINGS_UPDATED'		=> '<strong>Updated Sitemap Settings</strong>',
	'SEO4ALL_MAP_SAVED'					=> 'Sitemap Settings successfully updated.',
	'SEO4ALL_MAP_EXCLUDED'				=> 'Excluded forums',
	'SEO4ALL_MAP_EXCLUDED_EXPLAIN'		=> 'Forums selected here and topics inside them will be excluded from Sitemap.<br /><strong>Attention:</strong> Categories and forums without topics are excluded by default.',
	'SEO4ALL_MAP_CACHE_TIME'			=> 'Cache time',
	'SEO4ALL_MAP_CACHE_TIME_EXPLAIN'	=> 'To reduce server load, sitemap will be cached for some time. After this time it will be re-created. Enter the number of hours for which sitemap will be cached or enter 0 for disable caching.',
	'SEO4ALL_MAP_URL'					=> 'Your Sitemap URL: <a href="%s" onclick="window.open(this.href);return false;">%s</a>',
	'SEO4ALL_MAP_URL_COUNT'				=> 'Total # of URLs in sitemap: %s',
	'SEO4ALL_MAP_URL_ERR'				=> '(Will display # of URLs after sync AND sitemap.xml is visited/generated for first time.)',
	'SEO4ALL_MAP_URL_LIMIT'				=> 'URL limit',
	'SEO4ALL_MAP_URL_LIMIT_EXPLAIN'		=> 'Maximum # of URLs in sitemap file, up to 50000 according to sitemaps protocol. Decrease this value if you experience problems with exceeding limits. If the amount of URLs on your board exceeds this number, sitemap will automatically be split into multiple files.',
	'SEO4ALL_MAP_BATCH_SIZE'			=> 'Preferred batch processing size',
	'SEO4ALL_MAP_BATCH_SIZE_EXPLAIN'	=> 'Decrease the batch size in case of PHP memory limit errors at sitemap data generation stage. Notice the fact that time required for sitemap generation will rise significantly on each decreasing of batch size value.',
	'SEO4ALL_MAP_PRIORITY_0'			=> 'Priority for default topics',
	'SEO4ALL_MAP_PRIORITY_1'			=> 'Priority for sticky topics',
	'SEO4ALL_MAP_PRIORITY_2'			=> 'Priority for announcements',
	'SEO4ALL_MAP_PRIORITY_3'			=> 'Priority for global announcements',
	'SEO4ALL_MAP_PRIORITY_4'			=> 'Priority for article topics',
	'SEO4ALL_MAP_PRIORITY_F'			=> 'Priority for forums',
	'SEO4ALL_MAP_FREQ_0'				=> 'Changefreq for default topics',
	'SEO4ALL_MAP_FREQ_1'				=> 'Changefreq for sticky topics',
	'SEO4ALL_MAP_FREQ_2'				=> 'Changefreq for announcements',
	'SEO4ALL_MAP_FREQ_3'				=> 'Changefreq for global anouncements',
	'SEO4ALL_MAP_FREQ_4'				=> 'Changefreq for article topics',
	'SEO4ALL_MAP_FREQ_F'				=> 'Changefreq for forums',
	'SEO4ALL_MAP_FREQ_NEVER'			=> 'Never',
	'SEO4ALL_MAP_FREQ_YEARLY'			=> 'Yearly',
	'SEO4ALL_MAP_FREQ_MONTHLY'			=> 'Monthly',
	'SEO4ALL_MAP_FREQ_WEEKLY'			=> 'Weekly',
	'SEO4ALL_MAP_FREQ_DAILY'			=> 'Daily',
	'SEO4ALL_MAP_FREQ_HOURLY'			=> 'Hourly',
	'SEO4ALL_MAP_FREQ_ALWAYS'			=> 'Always',
	'SEO4ALL_MAP_NO_DATA'				=> 'No data for sitemap.',
	'SEO4ALL_MAP_NO_FILE'				=> 'Unable to open file:<br /><strong>%s</strong>',
	'SEO4ALL_MAP_CANT_WRITE'			=> 'Folder <strong>%s</strong> does not exist or is not writable. Fix it manually using FTP-client.',

	'SEO4ALL_MAP_SYNC_COMPLETE' 		=> 'Synchronisation successfully completed.<br /><br /><a style="font-weight: bold;" href="%s">&laquo; Go back to settings</a>',
	'SEO4ALL_MAP_SYNC_PROCESS'			=> '<strong>Sync in progress. Do not close this page and do not interrupt script before it finishes all the actions.</strong><br /><br /><strong>%1$s%%</strong> finished. Processed <strong>%2$s</strong> of all posts. Total posts: <strong>%3$s</strong>.',
	'SEO4ALL_MAP_SYNC_REQ' 				=> 'You should synchronise posts modification dates before using this sitemap. This is needed to generate last modification time of the board pages. <a style="font-weight: bold;" href="%s">Click here to synchronise</a>.',

	// ACP Tag Settings
	'ACP_SEO4ALL_TAGS_ENABLE'								=> 'Enable SEO-4-ALL Topic Tags',
	'ACP_SEO4ALL_TAGS_ENABLE_EXP'							=> 'Whether or not to enable tagging of topics in this forum. (When disabling tagging, the tags are NOT REMOVED from the topics in this forum - so when you enable it again, they are still there; If you really want to delete the tags, then use the “Delete tags from this forum” option.)',
	'ACP_FORUM_SETTINGS_SEO4ALL_TAGS_PRUNE'					=> 'Delete tags from this forum',
	'ACP_FORUM_SETTINGS_SEO4ALL_TAGS_PRUNE_EXP'				=> 'This will DELETE all assignments of tags to the topics of this forum. NOTE: To prevent accidental deletion of tags, you need to disabled tagging for this forum.',
	'ACP_FORUM_SETTINGS_SEO4ALL_TAGS_PRUNE_CONFIRM'			=> 'This option will DELETE all assignments of tags to the topics of this forum and you need to disable tagging for this forum, to perform this action.',
	'ACP_SEO4ALL_TAGS_PRUNING_REQUIRES_TAGGING_DISABLED'	=> 'To prevent accidental deletion of tags, you need to disable tagging for this forum to delete the tag assignments.',
	'ACP_SEO4ALL_TAGS_ERROR'								=> 'Error',
	'ACP_SEO4ALL_TAGS_UNKNOWN_ERROR'						=> 'Unknown error. See javascript-console for server response.',

	'ACP_SEO4ALL_TAGS_REGEX_DEFAULT'					=> '/^[\- a-z0-9]{3,30}$/i',
	'ACP_SEO4ALL_TAGS_REGEX_UTF'						=> 'UTF Supported & English',
	'ACP_SEO4ALL_TAGS_REGEX_RUSSIAN'					=> 'Russian & English',
	'ACP_SEO4ALL_TAGS_REGEX_UTF_SUPPORT'				=> '/^[\- a-zÀÁÂÃÈÉÊÌÍÒÓÔÕÙÚĂĐĨŨƠàáâãèéêìíòóôõùúăđĩũơƯĂẠẢẤẦẨẪẬẮẰẲẴẶẸẺẼỀỀỂưăạảấầẩẫậắằẳẵặẹẻẽềềểỄỆỈỊỌỎỐỒỔỖỘỚỜỞỠỢỤỦỨỪễệỉịọỏốồổỗộớờởỡợụủứừỬỮỰỲỴÝỶỸửữựỳỵỷỹ0-9+]{3,30}$/i',
	'ACP_SEO4ALL_TAGS_REGEX_RUSSIAN_ENGLISH'			=> '/^[\- a-zячсмитьбюэждлорпавыфйцукенгшщзхъёЯЧСМИТЬБЮЭЖДЛОРПАВЫФЙЦУКЕНГШЩЗХЁ0-9+]{3,30}$/i',
	'ACP_SEO4ALL_TAGS_REGEX_EXP_FOR_USERS_DEFAULT'		=> 'Allowed chars: -, 0-9, a-z, A-Z; min: 3, max: 30',
	'ACP_SEO4ALL_TAGS_REGEX_EMPTY'						=> 'The regular expression cannot be left empty.',
	'ACP_SEO4ALL_TAGS_EXP_FOR_USERS_EMPTY'				=> 'The explanation of which tags are allowed cannot be left empty.',

	'TOPICTAGS_CONFIG'					=> 'Display Topic Tags',
	'TOPICTAGS_CONFIG_TAGCLOUD'			=> 'Tag Cloud - Index page',
	'TOPICTAGS_CONFIG_TAGS'				=> 'Other Configuration',
	'TOPICTAGS_MAINTENANCE'				=> 'Maintenance',
	'TOPICTAGS_SETTINGS_SAVED'			=> 'Configuration updated successfully.',
	'TOPICTAGS_WHITELIST_SAVED'			=> 'Whitelist updated successfully.',
	'TOPICTAGS_BLACKLIST_SAVED'			=> 'Blacklist updated successfully.',

	'TOPICTAGS_DISPLAY_TAGCLOUD_ON_INDEX'		=> 'Display tag cloud on index',
	'TOPICTAGS_DISPLAY_TAGCLOUD_ON_INDEX_EXP'	=> 'When enabled a tag cloud is displayed on the bottom of the index page',

	'TOPICTAGS_DISPLAY_TAGCOUNT_IN_TAGCLOUD'		=> 'Display usage-count of tags in tag cloud',
	'TOPICTAGS_DISPLAY_TAGCOUNT_IN_TAGCLOUD_EXP'	=> 'When enabled the tag cloud displays how many topics are tagged with each tag',

	'TOPICTAGS_MAX_TAGS_IN_TAGCLOUD'			=> 'Max tags in tag cloud',
	'TOPICTAGS_MAX_TAGS_IN_TAGCLOUD_EXP'		=> 'This limits the count of tags shown in the tag cloud to the configured value.',

	'TOPICTAGS_DISPLAY_TAGS_IN_VIEWFORUM'		=> 'Display tags in viewforum',
	'TOPICTAGS_DISPLAY_TAGS_IN_VIEWFORUM_EXP'	=> 'If set to yes, tags are shown under assigned topics in topic lists.',

	'TOPICTAGS_ENABLE_IN_ALL_FORUMS_ALREADY'	=> 'Tagging is already enabled for all forums.',
	'TOPICTAGS_ENABLE_IN_ALL_FORUMS'			=> 'Enable tags in all forums',
	'TOPICTAGS_ENABLE_IN_ALL_FORUMS_EXP'		=> 'NOTE: You can enable (or disable) tags in a single forum within the individual forum settings.',
	'TOPICTAGS_ENABLE_IN_ALL_FORUMS_DONE'	=> array(
			1 => 'Tagging has been enabled for %d forum.',
			2 => 'Tagging has been enabled for %d forums.',
	),
	
	'TOPICTAGS_TAGS_EXCLUDED'						=> 'Excluded forums',
	'TOPICTAGS_TAGS_EXCLUDED_EXPLAIN'				=> 'Forums selected here and topics inside them will be excluded from topic tags.',
	'TOPICTAGS_DISABLE_IN_ALL_FORUMS_ALREADY'	=> 'Tagging is already disabled for all forums.',
	'TOPICTAGS_DISABLE_IN_ALL_FORUMS'			=> 'Disable tags in all forums',
	'TOPICTAGS_DISABLE_IN_ALL_FORUMS_DONE'	=> array(
			1 => 'Tagging has been disabled for %d forum.',
			2 => 'Tagging has been disabled for %d forums.',
	),

	'TOPICTAGS_PRUNE'					=> 'Prune tags',
	'TOPICTAGS_PRUNE_EXP'				=> 'This will delete all tags, which are not used by any topic',
	'TOPICTAGS_PRUNE_CONFIRM'			=> 'This will DELETE all unused tags.',
	'TOPICTAGS_PRUNE_ASSIGNMENTS_DONE'	=> array(
			0 => '',
			1 => '%d topic-tag-assignment has been deleted.',
			2 => '%d topic-tag-assignments have been deleted.',
	),
	'TOPICTAGS_PRUNE_TAGS_DONE'			=> array(
			0 => 'There are no unused tags which we could delete.',
			1 => '%d unused tag has been deleted.',
			2 => '%d unused tags have been deleted.',
	),

	'TOPICTAGS_PRUNE_FORUMS'			=> 'Prune tags from forums with tagging disabled',
	'TOPICTAGS_PRUNE_FORUMS_EXP'		=> 'This will DELETE all assignments of tags to those topics that reside in a forum with tagging disabled.',
	'TOPICTAGS_PRUNE_FORUMS_CONFIRM'	=> 'This will REMOVE all tags from all those threads which reside in a forum with tagging disabled.',

	'TOPICTAGS_PRUNE_INVALID_TAGS'				=> 'Prune invalid tags',
	'TOPICTAGS_PRUNE_INVALID_TAGS_EXP'			=> 'This will DELETE all tags (and their assignments) that are not valid anymore. This is only required if you changed the regex and want to get rid of the invalid tags.',
	'TOPICTAGS_PRUNE_INVALID_TAGS_CONFIRM'		=> 'This will REMOVE all tags that are not conform with the configured regex and can delete a lot of your stuff, if you are not careful!',

	'TOPICTAGS_CALC_COUNT_TAGS'					=> 'Recalculate tag-counts',
	'TOPICTAGS_CALC_COUNT_TAGS_EXP'				=> 'This will re-calculate how often each tag is used.',
	'TOPICTAGS_CALC_COUNT_TAGS_DONE'			=> 'Tag-counts have been recalculated.',

	'TOPICTAGS_ENABLE_WHITELIST'				=> 'Enable Whitelist',
	'TOPICTAGS_ENABLE_WHITELIST_EXP'			=> 'If enabled, only tags that are conform to the regex AND are present in the whitelist below are allowed.<br/>NOTE 1: If the blacklist is enabled, too, and a tag is in the whitelist as well as in the blacklist, it will be rejected.<br/>NOTE 2: To prevent accidental data loss, tags that are already in the database, but not on the whitelist are NOT deleted automatically and will be displayed as well. You must remove the existing tags by hand.',

	'TOPICTAGS_WHITELIST'						=> 'Whitelist',
	'TOPICTAGS_WHITELIST_EXP'					=> 'List of allowed tags.<br/>NOTE: Tags must be conform to the regex as well, so be sure that all these tags are conform to your regex-settings below (not checked automatically).',

	'TOPICTAGS_ENABLE_BLACKLIST'				=> 'Enable Blacklist',
	'TOPICTAGS_ENABLE_BLACKLIST_EXP'			=> 'If enabled, the tags configured in the blacklist will be rejected even if they are conform with the regex.<br/>NOTE 1: To prevent accidental data loss, tags that are already in the database are not deleted automatically. You must remove them by hand from each topic.<br/>NOTE 2: The blacklist is never shown to the users.',

	'TOPICTAGS_BLACKLIST'						=> 'Blacklist',
	'TOPICTAGS_BLACKLIST_EXP'					=> 'List of forbidden tags.<br/>NOTE: All tags that are not conform with the regex are always rejected.',

	'TOPICTAGS_ALLOWED_TAGS_REGEX'				=> 'Regular Expression for allowed tags',
	'TOPICTAGS_ALLOWED_TAGS_REGEX_EXP'			=> 'WARNING: Do not change this, if you don\'t know what you are doing. <strong>Tags can be 30 characters at maximum and delimiter must be “/”</strong>, please consider this during regex design. Note that if afterwards invalid tags are not searchable, but still displayed in the topics, consider pruning the invalid tags.<br/><strong>Default English:</strong> ' . $lang['ACP_SEO4ALL_TAGS_REGEX_DEFAULT'],

	'TOPICTAGS_CONVERT_SPACE_TO_MINUS'			=> 'Convert “ ” to “-”',
	'TOPICTAGS_CONVERT_SPACE_TO_MINUS_EXP'		=> 'If set to yes, all spaces (“ ”) are automatically converted to minus (“-”).<br/>NOTE 1: In the regex you must allow “-”; otherwise tags with whitespaces will be rejected.<br/>NOTE 2: Existing tags with spaces will NOT be converted automatically.',

	'TOPICTAGS_ALLOWED_TAGS_EXP_FOR_USERS'		=> 'Explanation for Users',
	'TOPICTAGS_ALLOWED_TAGS_EXP_FOR_USERS_EXP'	=> 'This text is shown to the users and should explain which tags are allowed and which not.<br/>Default: ' . $lang['ACP_SEO4ALL_TAGS_REGEX_EXP_FOR_USERS_DEFAULT'],

	'TOPICTAGS_MANAGE_TAGS_EXP'					=> 'The table shows all existing tags. Here you can: <ul><li>delete a tag (and all their assignments).</li><li>edit a tag (double click the tags\' names for faster workflow).</li><li>merge tags by editing a tag and setting its name so that it equals another tag - they will be merged automatically.</li></ul>',
	'TOPICTAGS_NO_TAGS'							=> 'There are no tags yet.',
	'TOPICTAGS_TAG'								=> 'Tag',
	'TOPICTAGS_ASSIGNMENTS'						=> 'Assignments',
	'TOPICTAGS_NEW_TAG_NAME'					=> 'New tag name',
	'TOPICTAGS_NEW_TAG_NAME_EXP'				=> 'Please enter the new tag name.',
	'TOPICTAGS_TAG_DELETE_CONFIRM'				=> 'Are you sure that you want to delete the tag <em>%s</em>? This will delete the tag from <b>all topics</b> where it is assigned. This can not be reverted.',
	'TOPICTAGS_TAG_DELETED'						=> 'The tag has been deleted.',
	'TOPICTAGS_MISSING_TAG_ID'					=> 'Missing tag-id.',
	'TOPICTAGS_TAG_CHANGED'						=> 'The tag has been changed.',
	'TOPICTAGS_TAG_MERGED'						=> 'The tag has been merged with tag “%s”',
	'TOPICTAGS_MISSING_TAG_NAMES'				=> 'Missing tag-names.',
	'TOPICTAGS_TAG_INVALID'						=> 'The tag “%s” is invalid, please check your tag-settings.',
	'TOPICTAGS_TAG_DOES_NOT_EXIST'				=> 'The tag “%s” does not exist.',
	'TOPICTAGS_NO_MODIFICATION'					=> 'The tag was not changed.',

	'TOPICTAGS_SORT_NAME_ASC'					=> 'Tag name A&rArr;Z', // &rArr; is a right-arrow (=>)
	'TOPICTAGS_SORT_NAME_DESC'					=> 'Tag name Z&rArr;A', // &rArr; is a right-arrow (=>)
	'TOPICTAGS_SORT_COUNT_ASC'					=> 'Assignments count ascending',
	'TOPICTAGS_SORT_COUNT_DESC'					=> 'Assignments count descending',
));
