<?php
/**
* SEO4ALL. Extension for the phpBB Forum Software package.
*
* language/en/acp/permissions_seo4all.php (English)
*
* @copyright (c) 2017 https://thetopfew.com
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
**/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

use thetopfew\seo4all\service\constants\permissions;

$lang = array_merge($lang, array(
	'ACL_'.utf8_strtoupper(permissions::ADMIN_EDIT_TAGS)	=> 'SEO4ALL - Can edit topic tags',
	'ACL_'.utf8_strtoupper(permissions::MOD_EDIT_TAGS)		=> 'SEO4ALL - Can edit topic tags',
	'ACL_'.utf8_strtoupper(permissions::USE_TAGS)			=> 'SEO4ALL - Can use topic tags',
	'ACL_'.utf8_strtoupper(permissions::USE_T_DESC)			=> 'SEO4ALL - Can describe own topics',									
));
